%define upstream_name    GStreamer
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for the gstreamer library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz
# http://sourceforge.net/project/showfiles.php?group_id=64773&package_id=150831

BuildRequires: perl(ExtUtils::Depends) >= 0.205.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.70.0
BuildRequires: perl(Glib) >= 1.180.0
BuildRequires: libgstreamer-devel >= 0.10
BuildRequires: perl-Glib >= 1.100
BuildRequires: perl-Gtk2 >= 1.100
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-devel
%description
This module allows you to use the GStreamer library from Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 
perl Makefile.PL INSTALLDIRS=vendor

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc LICENSE META.json META.yml MYMETA.yml NEWS README TODO examples
%{_mandir}/*/*
%{perl_vendorarch}/%{upstream_name}*
%{perl_vendorarch}/auto/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.190.0-2.mga4
+ Revision: 538367
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 0.190.0-1.mga4
+ Revision: 489478
- new release

* Wed May 29 2013 jquelin <jquelin> 0.180.0-2.mga4
+ Revision: 431192
- perl 5.18.0 rebuild

  + tv <tv>
    - new release

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-3.mga3
+ Revision: 367606
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.170.0-2.mga3
+ Revision: 250690
- rebuild for perl 5.16

* Mon Mar 05 2012 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 218747
- update to 0.17

* Fri Jun 17 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 108834
- update to 0.16

* Sun Jun 12 2011 ahmad <ahmad> 0.150.0-3.mga2
+ Revision: 104505
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 0.150.0-2.mga1
+ Revision: 36238
- mageia rebuild
- imported package perl-GStreamer

